import sys
forge = sys.modules["forge"]

import os.path

def setup(module):

	deplibs =	forge.corelibs + [
				"feSignalLib",
				"fexDataToolDLLib" ]

	tests = [ ]

	if 'viewer' in forge.module_list and os.path.exists('ext/viewer'):
		deplibs += [ "fexViewerDLLib" ]

		tests += [	'xImage' ]

		forge.tests += [
			("xImage.exe",	"fexImageDL 10",					None,	None) ]
	else:
		forge.color_on(0, forge.BLUE)
		sys.stdout.write("-viewer ")
		forge.color_off()

	for t in tests:
		exe = module.Exe(t)
		forge.deps([t + "Exe"], deplibs)
